<?php
/**
 * Plugin Name: viaLibri Harvest - Custom Post Types
 * Plugin URI: https://www.vialibri.net/
 * Description: Extension for viaLibri Harvest for use with sites that list books using custom post types.
 * Version: 0.5.0
 * Author: viaLibri
 * Author URI: https://www.vialibri.net/
 * License: All rights reserved
 */
defined('ABSPATH') or die("No script kiddies please!");

$vharvest_cpt_plugin_version = '0.5.0';

///////////////////////////////////

require __DIR__.'/vendor/autoload.php';

require_once(__DIR__.'/app/ProductData.php');
require_once(__DIR__.'/app/SettingsTab.php');

Puc_v4_Factory::buildUpdateChecker(
  'https://api.vialibri.net/1/plugins/vialibri-harvest-custom-post-types',
  __FILE__,
  'vialibri-harvest-custom-post-types'
);

add_filter(
  'vialibri_harvest_id_list',
  array('Vialibri\HarvestPlugin\CustomPostTypes\ProductData', 'idList')
);
add_filter(
  'vialibri_harvest_book_data',
  array('Vialibri\HarvestPlugin\CustomPostTypes\ProductData', 'listBooks'),
  10,
  3
);
add_filter(
  'vialibri_harvest_sources',
  function (array $sources) {
    global $vharvest_cpt_plugin_version;
    $sources[] = array(
      'name' => 'viaLibri Harvest - Custom Post Types',
      'version' => $vharvest_cpt_plugin_version
    );
    return $sources;
  }
);

add_action(
  'admin_init',
  array('Vialibri\HarvestPlugin\CustomPostTypes\SettingsTab', 'init')
);
add_filter(
  'vialibri_harvest_settings_tabs',
  array('Vialibri\HarvestPlugin\CustomPostTypes\SettingsTab', 'addTab')
);
add_action(
  'vialibri_harvest_settings_tab_custom-post-types',
  array('Vialibri\HarvestPlugin\CustomPostTypes\SettingsTab', 'renderTab')
);

add_action(
  'admin_enqueue_scripts',
  array('Vialibri\HarvestPlugin\CustomPostTypes\SettingsTab', 'enqueueScript')
);
add_action(
  'wp_ajax_vialibri_harvest_cpt_post_types',
  array('Vialibri\HarvestPlugin\CustomPostTypes\SettingsTab', 'ajaxMetaKeysForPostType')
);
